Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.lib
Class APIScript

    java.lang.Object
      com.sun.javatest.Script
          com.sun.javatest.lib.APIScript

    public class APIScript

extends Script

A Script designed to compile/execute a test.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.javatest.Script
`Script.TimeoutProvider`

Field Summary

Fields inherited from class com.sun.javatest.Script
`alarmTimer, backupPolicy, cmdOut1Name, cmdOut2Name, env, error_badExecuteArgs, error_badTestClassDir, error_compFailUnexp, error_noActionSpecified, error_noExecuteClass, error_noExtnInSource, error_noRMIClasses, error_noSource, excludedTestCases, fail_compFailUnexp, fail_compSuccUnexp, fail_execSuccUnexp, loader, noExtnInSource, noSource, notifier, pass_compFailExp, pass_compSuccExp, pass_execFailExp, scriptArgs, td, trOut, workDir`

Constructor Summary
`APIScript()`

Method Summary
`Status` | `run(java.lang.String[] args, TestDescription td, TestEnvironment env)` The method that interprets the tags provided in the test description and performs actions accordingly.

Methods inherited from class com.sun.javatest.Script
`compileIfNecessary, compileIfNecessary, compileIfNecessary, compileIfNecessary, compileIndividually, compileIndividually, compileIndividually, compileIndividually, compileOne, compileOne, compileOne, compileOne, compileTogether, compileTogether, compileTogether, compileTogether, exclude, execute, execute, execute, execute, filesToStrings, getJTRIfPassed, getTestDescription, getTestResult, getTestTimeout, getTimeoutProvider, initArgs, initBackupPolicy, initClassLoader, initDelegate, initExcludedTestCases, initTestDescription, initTestEnvironment, initTestResult, initWorkDir, invokeCommand, rmiCompile, rmiCompile, run, setAlarm, setAlarm, setDefaultCommandStreamNames, setJTRIfPassed, setNotifier, setTimeoutProvider, useNotifier`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### APIScript

    public APIScript()

Method Detail

### run

    public Status run(java.lang.String[] args,
                      TestDescription td,
                      TestEnvironment env)

  The method that interprets the tags provided in the test description and performs actions accordingly.

  Specified by:
    `run` in class `Script`
  Parameters:
    `args` - Any arguments that the APIScript may use. Currently there are none (value ignored).
    `td` - The current TestDescription.
    `env` - The test environment giving the details of how to run the test.
  Returns:
    The result of running the script on the given test description.
  See Also:
    `Script.compileIndividually(java.lang.String[])`, `Script.compileTogether(java.lang.String[])`, `Script.execute(java.lang.String, java.lang.String)`, `Script.invokeCommand(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.